import React, { useContext } from 'react';
import AdminSidebar from './AdminSidebar';
import EmployeeSidebar from './EmployeeSidebar';
import { AuthContext } from '../../contexts/AuthContext';

const Sidebar = () => {
  const { user } = useContext(AuthContext);
  if (!user) return null;
  return user.role === 'admin' ? <AdminSidebar /> : <EmployeeSidebar />;
};

export default Sidebar;
